# Uses of Class
java.awt.image.LookupTable

Packages that use LookupTable
Package
Description
java.awt.image
Provides classes for creating and modifying images.

- ## Uses of LookupTable in java.awt.image

  Subclasses of LookupTable in java.awt.image
  Modifier and Type
  Class
  Description
  `class`
  `ByteLookupTable`
  This class defines a lookup table object.
  `class`
  `ShortLookupTable`
  This class defines a lookup table object.
  Methods in java.awt.image that return LookupTable
  Modifier and Type
  Method
  Description
  `final LookupTable`
  LookupOp.`getTable()`
  Returns the `LookupTable`.
  Constructors in java.awt.image with parameters of type LookupTable
  Modifier
  Constructor
  Description
  ``
  `LookupOp(LookupTable lookup, RenderingHints hints)`
  Constructs a `LookupOp` object given the lookup table and a `RenderingHints` object, which might be `null`.